import request from '@/utils/request'

// 查询特货代码列表
export function listSpecialCode (query) {
  return request({
    url: '/system/specialCode/list',
    method: 'get',
    params: query
  })
}

// 查询特货代码列表
export function listAll () {
  return request({
    url: '/system/specialCode/all',
    method: 'get'
  })
}

// 查询特货代码详细
export function getSpecialCode (id) {
  return request({
    url: '/system/specialCode/' + id,
    method: 'get'
  })
}

// 新增特货代码
export function addSpecialCode (data) {
  return request({
    url: '/system/specialCode',
    method: 'post',
    data: data
  })
}

// 修改特货代码
export function updateSpecialCode (data) {
  return request({
    url: '/system/specialCode',
    method: 'put',
    data: data
  })
}

// 删除特货代码
export function delSpecialCode (id) {
  return request({
    url: '/system/specialCode/' + id,
    method: 'delete'
  })
}

// 导出特货代码
export function exportSpecialCode (query) {
  return request({
    url: '/system/specialCode/export',
    method: 'get',
    params: query
  })
}
